Download it now!
Bug 107020 - MS Word cannot open round-tripped docx
Summary: MS Word cannot open round-tripped docx
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Stephan Bergmann
URL:
Whiteboard: target:5.4.0 target:7.0.0
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Corrupted
  Show dependency treegraph
 
Reported: 2017-04-07 19:10 UTC by Justin L
Modified: 2020-04-07 15:59 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
SMSCB CHILE REQUIREMENTS - Open XML errors on RT (256.66 KB, image/jpeg)
2017-04-12 10:12 UTC, Timur
Details
SMSCB CHILE REQUIREMENTS - Open XML compare original and RT (126.96 KB, image/jpeg)
2017-04-12 10:15 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Justin L 2017-04-07 19:10:38 UTC
attachment 132354 [details] from bug 106974 cannot be opened in MS Word after round-tripping through LO5.4alpha.

Couldn't guess the regression commit somewhere between linux-daily-dbgutil
BAD commit 5fd912cb5ba30cf35881008e752e10a350b13009
    2017-03-27: source-hash-23282b476f094c735ecfae4f82798e36ac9cbbc9
and GOOD commit ea808858bbabb761135da08e6c07d7dd99d6322f
    2017-03-25: source-hash-193f8966135064a32164c9da08d01dab9c1fc15d

Tested using Ubuntu 16.04, and MSWord 2007.
Comment 1 Timur 2017-04-12 10:12:14 UTC
Created attachment 132511 [details]
SMSCB CHILE REQUIREMENTS - Open XML errors on RT

I don't know how to export those errors, so here is screenshot.
Comment 2 Timur 2017-04-12 10:15:25 UTC
Created attachment 132512 [details]
SMSCB CHILE REQUIREMENTS - Open XML compare original and RT
Comment 3 Xisco Faulí 2017-04-27 16:23:37 UTC
Regression introduced by:

author	Stephan Bergmann <sbergman@redhat.com>	2017-03-25 09:33:14 (GMT)
committer	Stephan Bergmann <sbergman@redhat.com>	2017-03-25 12:51:13 (GMT)
commit	4b788a12380518e31a9064d5839f4880d3f36874 (patch)
tree	b40911edc6eb932f6655bb4a27359e0301c7002b
parent	0f9b0f471249910787c4da111363efc57bf316d9 (diff)
There should be no need to distinguish between I32S and I64S
...after 64b993e046f23baaacaff1572b7d2a816588b5ef "finish deprecation of
O(U)String::valueOf()" replaced OString::valueOf with OString::number in their
bodies.  (Change done in preparation of teaching loplugin:redundantcast about
C-style casts in macro bodies.)

Bisected with bibisect-linux-64-5.4

Adding Cc: to Stephan Bergmann
Comment 4 Commit Notification 2017-04-27 22:01:43 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=74ccd02eda2d6325a27266fd935aba29b3d75020

tdf#107020: Reintroduce uses of I32S, I64S

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Stephan Bergmann 2017-04-27 22:03:26 UTC
(In reply to Commit Notification from comment #4)
> Stephan Bergmann committed a patch related to this issue.
> It has been pushed to "master":
> 
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=74ccd02eda2d6325a27266fd935aba29b3d75020
> 
> tdf#107020: Reintroduce uses of I32S, I64S
> 
> It will be available in 5.4.0.

I don't have MS Word, so can't easily verify that this commit indeed fixes the bug.  Somebody please verify and set the bug to fixed.
Comment 6 Justin L 2017-04-28 08:04:37 UTC
verified RT now works in master.  Tested with MSO2003, 2007, 2013.
Comment 7 Commit Notification 2020-04-07 15:59:28 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/bb0c4119b7e63e370bb3a66d0debbe5e3b19b67a

tdf#107020: Add unittest

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.